<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateResultsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('results', function (Blueprint $table) {
            $table->id();
            $table->string('matric');
            $table->integer('stud_id');
            $table->string('name');
            $table->string('course_code');
            $table->string('title');
            $table->integer('session');
            $table->integer('semester');
            $table->integer('score');
            $table->string('grade');
            $table->integer('point');
            $table->integer('level');
            $table->string('remark');
            $table->string('carry_over');
            $table->integer('current_tcue');
            $table->integer('current_tcur');
            $table->integer('current_tcp');
            $table->integer('previous_tcue');
            $table->integer('previous_tcur');
            $table->integer('previous_tcp');
            $table->string('degree_name');
            $table->string('department_name');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('results');
    }
}
